#!/bin/bash


echo Starting Pyxida on node $HOSTNAME...

[ -e "pyxida-$HOSTNAME.log" ] && mv -f pyxida-$HOSTNAME.log pyxida-$HOSTNAME.log.prev

# Reading the config files on PL screws up the paths
ANT="ant -emacs --noconfig"

ANT_LOG="-l pyxida-$HOSTNAME.log"

PYXIDA_CONFIG="-Dpyxida.config=config/pyxida.cfg\
 -Djava.util.logging.config.file=config/log.config\
 -Djava.library.path=lib"

CMD="$ANT $PYXIDA_CONFIG run-pyxida-jar"

if [ "$1" == "--log" ]; then
  CMD="$ANT $ANT_LOG $PYXIDA_CONFIG run-pyxida-jar"
fi

if [ "$1" == "--profile" ]; then
  CMD="$ANT $PYXIDA_CONFIG run-pyxida-jar-profile"
fi

echo Launching...
$CMD
